<?php if (!defined('IN_GS')) {die('you cannot load this page directly.');}

/**
 * News Manager main admin panel.
 */


/*******************************************************
 * @function nm_admin_main
 * @action back-end main panel (post overview)
 */
function nm_admin_panel() {
  global $PRETTYURLS, $NMPRETTYURLS;
  $posts = nm_get_posts(true);
  ?>
  <h3 class="floated"><?php i18n('news_manager/PLUGIN_NAME'); ?></h3>
  <div class="edit-nav clearfix">
    <a href="load.php?id=news_manager&edit"><?php i18n('news_manager/NEW_POST'); ?></a>
    <a href="load.php?id=news_manager&settings"><?php i18n('news_manager/SETTINGS'); ?></a>
    <?php
    if ($PRETTYURLS == 1 && $NMPRETTYURLS == 'Y')
      echo '<a href="load.php?id=news_manager&htaccess">.htaccess</a>';
    ?>
  </div>
  <?php
  if (!empty($posts)) {
    ?>
    <table class="highlight paginate">
    <tr>
      <th><?php i18n('news_manager/POST_TITLE'); ?></th>
      <th style="text-align: right;"><?php i18n('news_manager/DATE'); ?></th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
    <?php
    foreach ($posts as $post) {
      $title = cl($post->title);
      $date = shtDate($post->date);
      $url = nm_get_url('post') . $post->slug;
      ?>
      <tr>
        <td>
          <a href="load.php?id=news_manager&edit=<?php echo $post->slug; ?>" title="<?php i18n('news_manager/EDIT_POST'); ?>: <?php echo $title; ?>">
            <?php echo $title; ?>
          </a>
        </td>
        <td style="text-align: right;">
          <span><?php echo $date; ?></span>
        </td>
        <td style="width: 20px;text-align: center;">
          <?php
            if ($post->private == 'Y')
              echo '<span style="color: #aaa;">P</span>';
          ?>
        </td>
        <td class="secondarylink">
          <a href="<?php echo $url; ?>" target="_blank" title="<?php i18n('news_manager/VIEW_POST'); ?>: <?php echo $title; ?>">
            #
          </a>
        </td>
        <td class="delete">
          <a href="load.php?id=news_manager&delete=<?php echo $post->slug; ?>" class="delconfirm" title="<?php i18n('news_manager/DELETE_POST'); ?>: <?php echo $title; ?>?">
            X
          </a>
        </td>
      </tr>
      <?php
    }
    ?>
    </table>
    <div id="page_counter" class="qc_pager"></div>
    <?php
  }
  echo '<p><b>' . count($posts) . '</b> ' . i18n_r('news_manager/POSTS') . '</p>';
}


?>
